IPSW-MACHO-INFO(1)

NAME
ipsw-macho-info - Explore a MachO file

SYNOPSIS
ipsw macho info [flags]

DESCRIPTION
Explore a MachO file

OPTIONS
-z, --all-fileset-entries[=false]
    Parse all fileset entries

-a, --arch=""
    Which architecture to use for fat/universal MachO

-b, --bit-code[=false]
    Dump the LLVM bitcode

--demangle[=false]
    Demangle symbol names

--dump-cert[=false]
    Dump the certificate

-e, --ent[=false]
    Print entitlements

--ent-der[=false]
    Print DER entitlements

-x, --extract-fileset-entry[=false]
    Extract the fileset entry

-t, --fileset-entry=""
    Which fileset entry to analyze

-u, --fixups[=false]
    Print fixup chains

-d, --header[=false]
    Print the mach header

-h, --help[=false]
    help for info

-j, --json[=false]
    Print the TOC as JSON

-l, --loads[=false]
    Print the load commands

-o, --objc[=false]
    Print ObjC info

--objc-refs[=false]
    Print ObjC references

--output=""
    Directory to extract files to

-s, --sig[=false]
    Print code signature

-g, --split-seg[=false]
    Print split seg info

-f, --starts[=false]
    Print function starts

-c, --strings[=false]
    Print cstrings

-w, --swift[=false]
    Print Swift info

--swift-all[=false]
    Print all other Swift sections info

-n, --symbols[=false]
    Print symbols

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-macho(1)

HISTORY
18-Dec-2025 Auto generated by spf13/cobra